WhatsApp, la aplicación de mensajería instantánea más popular del mundo, está en el blanco de ciberdelincuentes que quieren aprovecharse de la enorme cantidad de usuarios que usan este programa para comunicarse. Ahora un investigador de seguridad ha informado sobre el descubrimiento de una vulnerabilidad en WhatsApp que permite a los atacantes acceder al dispositivo de la víctima, o incluso ganar distintos permisos para robarle todo tipo de datos, y solo a través de un archivo GIF malicioso.

Este ataque lo que hace es corromper la memoria del dispositivo, haciendo que varias aplicaciones se bloqueen y afectando a la galería de imágenes, y en principio el fallo se reproduce en dispositivos con el sistema operativo Android.

Alerta: esta campaña de phishing quiere robar tus datos bancarios de Netflix

El investigador de seguridad Awakened ha señalado que cuando un ciberdelincuente envía un GIF corrupto al usuario, y el usuario lo abre desde la galería de fotos, se produciría un error y la infección. En concreto parece que este exploit funciona bien hasta la versión 2.19.230 de WhatsApp, y que ya fue parcheado en la versión 2.19.244.

Esto significa que si tienes la última versión de WhatsApp no deberías tener ningún problema. Si acaso no has actualizado, debes ser consciente de que esta vulnerabilidad funciona en Android 8.1 y Android 9.0, pero no en sistemas operativos más antiguos.

Curiosamente WhatsApp ha informado de que no creen que usuarios se hayan visto afectados por esta vulnerabilidad y que ya la resolvieron con un parche tiempo atrás. “No tenemos motivos para creer que este exploit haya afectado a los usuarios, aunque siempre estamos trabajando para ofrecer las últimas funciones de seguridad a nuestros clientes”.

Para que no te veas afectado por este fallo, asegúrate de tener la última versión de tu sistema operativo Android, y sobre todo cerciorarte de que estás corriendo WhatsApp tras la última actualización de seguridad.